# ------------------------------------------------------------------------------
#  THIS FILE IS AUTOMATICALLY GENERATED DURING THE BUILD PROCESS. IF YOU NEED
#  TO MAKE CHANGES BE SURE YOU ARE EDITING THE ORIGINAL FILE AND NOT THE 
#  GENERATED FILE.
# ------------------------------------------------------------------------------
IF ( NOT DEFINED  MXA_RESOURCES_DIR)
  SET (MXA_RESOURCES_DIR ${MXA_SOURCE_DIR}/Resources)
ENDIF ( NOT DEFINED  MXA_RESOURCES_DIR)

#-- Get the name of the library
SET(MXADATAMODEL_LIBRARY_DEBUG_NAME MXADataModel)
SET(MXADATAMODEL_LIBRARY_RELEASE_NAME MXADataModel)

# ---------- Find Boost Headers/Libraries -----------------------
SET (Boost_FIND_REQUIRED TRUE)
SET (Boost_FIND_QUIETLY TRUE)
set (Boost_USE_STATIC_LIBS TRUE)
SET (Boost_USE_THREADS TRUE)
set (Boost_USE_PROGRAM_OPTIONS TRUE)
SET (Boost_ADDITIONAL_VERSIONS "1.39" "1.39.0")

FIND_PACKAGE(Boost COMPONENTS program_options thread)
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})  # Include the Boost Headers
SET(MXA_SUPPORT_LIBRARIES ${MXA_SUPPORT_LIBRARIES} ${Boost_LIBRARIES})
LINK_DIRECTORIES(${Boost_LIBRARY_DIRS})

# --------------------------------------------------------------------
# Find the pthread library on Linux if we are using threads
# --------------------------------------------------------------------
if (Boost_USE_THREAD)
  IF (CMAKE_SYSTEM MATCHES "Linux")
      find_package(Threads)
      if (NOT  Threads_FOUND)
          message(FATAL_ERROR "Threads Library is needed on Linux.")
      endif()
  endif()
endif()

#-------------------------------------------------------------------------------
#- Find Expat Library -------------
IF ("ON" STREQUAL "ON")
    IF (NOT DEFINED MXA_EXTERNAL_EXPAT_LIBRARY)
        INCLUDE ( ${MXA_CMAKE_DIR}/MXAFindExpat.cmake)
    ENDIF (NOT DEFINED MXA_EXTERNAL_EXPAT_LIBRARY)
    IF (NOT EXPAT_FOUND)
        MESSAGE (FATAL_ERROR "Expat Library was NOT Found and is needed.")
    ENDIF (NOT EXPAT_FOUND)
    INCLUDE_DIRECTORIES( ${EXPAT_INCLUDE_DIRS} )
    SET(MXA_SUPPORT_LIBRARIES ${MXA_SUPPORT_LIBRARIES} ${EXPAT_LIBRARIES})
ENDIF ()

#-------------------------------------------------------------------------------
#- Find the HDF5 library ------------------------------------------------
#- Build with the HDF5 Libraries Enabled. This is the default
SET(MXA_HDF5_SUPPORT ON)
SET(HDF5_VTK_BRIDGE "OFF")

IF ( "ON" STREQUAL "ON")
  # ---------- DO NOT use the High Level APIs from the HDF5
  # group as those API's will not compile correctly under windows --------------
  # MXA_EXTERNAL_HDF5_LIBRARY is meant to be passed in from an external project
  # like a ParaView plugin that is building MXA and provides its own HDF5 implementation
  SET (HDF5_USE_HIGH_LEVEL FALSE)
  IF (NOT DEFINED MXA_EXTERNAL_HDF5_LIBRARY)
      INCLUDE( ${MXA_CMAKE_DIR}/MXAFindHDF5.cmake )
  ENDIF (NOT DEFINED MXA_EXTERNAL_HDF5_LIBRARY)
  IF(NOT HDF5_FOUND)
    MESSAGE(FATAL_ERROR " HDF5 was not found. Set the include/lib manually or set the HDF_INSTALL environment variable")
  ENDIF(NOT HDF5_FOUND)
  INCLUDE_DIRECTORIES( ${HDF5_INCLUDE_DIRS} )
  SET(MXA_SUPPORT_LIBRARIES ${MXA_SUPPORT_LIBRARIES} ${HDF5_LIBRARIES})
  SET(MXA_USE_HDF5_PRIMITIVE_TYPES 1)
  SET(H5LITE_USE_MXA_CONSTRUCTS 1)
ENDIF()   

#-------------------------------------------------------------------------------
# Find TIFF Library 
IF("ON" STREQUAL "ON")
    IF (NOT DEFINED MXA_EXTERNAL_TIFF_LIBRARY)
        INCLUDE ( ${MXA_CMAKE_DIR}/MXAFindTiff.cmake)
    ENDIF (NOT DEFINED MXA_EXTERNAL_TIFF_LIBRARY)
    IF (NOT TIFF_FOUND)
      MESSAGE (FATAL_ERROR " Tiff Library was NOT Found and is needed.")
    ENDIF (NOT TIFF_FOUND)
    INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIRS})
    SET(MXA_SUPPORT_LIBRARIES ${MXA_SUPPORT_LIBRARIES} ${TIFF_LIBRARIES})
ENDIF()
 
#-- These need to be run also
INCLUDE(${MXA_CMAKE_DIR}/ConfigureChecks.cmake)
#-- Make sure we have install rules for our support libraries
include(${MXA_CMAKE_DIR}/InstallMXASupportLibraries.cmake)
